Redeploy Interconnect Appliance

Redeploy Interconnect Appliance
Redeploy interconnect appliance.

Redeploys an appliance by recreating its VM while preserving configuration. This asynchronous operation creates a new appliance VM, migrates configuration, and removes the old VM. Use this to recover from VM corruption, failed state, or hardware migration scenarios.

Request
URI
POST
https://{server}/hybridity/api/interconnect/appliances/{applianceId}/redeploy
COPY
Path Parameters
string
applianceId
Required

Unique identifier of the appliance to redeploy

Query Parameters
string
force
Optional
Constraints: default: false

Force redeploy bypassing validation checks. Use with caution.

Possible values are : true, false,
string
local
Optional
Constraints: default: false

Redeploy only local appliance without affecting peer site appliance

Possible values are : true, false,
string
method
Optional
Constraints: default: legacy

Redeploy method - legacy (brief downtime) or inService (zero downtime for HA)

Possible values are : legacy, inService,

Request Body

request payload.

applianceActionBody of type(s) application/json
Optional
Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns ApplicationActionSuccessResponse of type(s) application/json
{
    "data": {
        "interconnectTaskId": "string",
        "applianceId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


400

Bad Request

Returns ApplicationActionBadRequest of type(s) application/json
{
    "data": {
        "interconnectTaskId": "string",
        "applianceId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Operation doesn't return any data structure

422

Unprocessable Entity

Returns ApplicationActionUnprocessibleEntity of type(s) application/json
{
    "data": {
        "interconnectTaskId": "string",
        "applianceId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


500

Internal Server Error

Returns InternalServerError of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/hybridity/api/interconnect/appliances/{applianceId}/redeploy